# $Revision: 1.8 $, $Date: 2005/12/22 10:50:07 $
%define		mod_name	jk2
%define		apxs		/usr/sbin/apxs
Summary:	Apache module that handles communication between Tomcat and Apache
Summary(pl):	Modu Apache'a obsugujcy komunikacj midzy Tomcatem a Apachem
Name:		apache-mod_%{mod_name}
Version:	2.0.4
Release:	3
License:	Apache
Group:		Networking/Daemons
Source0:	http://www.apache.org/dist/jakarta/tomcat-connectors/jk2/jakarta-tomcat-connectors-jk2-src-current.tar.gz
# Source0-md5:	444bef31619f772df1f0b1c50e6ba773
Source1:	%{name}.conf
Patch0:		%{name}-va.patch
URL:		http://jakarta.apache.org/builds/jakarta-tomcat-connectors/jk/doc/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.40
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.120
Requires:	apache(modules-api) = %{apache_modules_api}
Requires:	apache >= 2.0.40
Obsoletes:	jakarta-tomcat-connectors-jk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
JK is a replacement to the elderly mod_jserv. It was a completely new
Tomcat-Apache plug-in that handles the communication between Tomcat
and Apache. JK2 is a refactoring of JK and is much more powerfull.

%description -l pl
JK jest zamiennikiem starego mod_jserv. Jest cakowicie now wtyczk
Tomcat-Apache obsugujc komunikacj midzy Tomcatem a Apachem.
Natomiast JK2 stanowi przerbk JK i jest znacznie wydajniejszy.

%prep
%setup -q -n jakarta-tomcat-connectors-jk2-%{version}-src
%patch0 -p1

%build
cd jk/native2
./buildconf.sh
%configure \
	--enable-EAPI \
	--with-apxs2=%{apxs}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf}

install jk/build/jk2/apache2/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/80_mod_jk2.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc jk/native2/{README.txt,CHANGES.txt} jk/docs/*
%config(noreplace) %{_sysconfdir}/httpd.conf/*.conf
%attr(755,root,root) %{_pkglibdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_jk2.spec,v $
Revision 1.8  2005/12/22 10:50:07  qboosh
- added va patch, release 3

Revision 1.7  2005/12/21 23:41:22  glen
- rel 2 (rebuild with new apache)

Revision 1.6  2004/12/25 17:55:31  qboosh
- cleanups

Revision 1.5  2004/09/19 17:41:51  radek
- release 1: unifications, cleanup

Revision 1.4  2004/08/11 13:23:50  marcus
- added BR apache-devel

Revision 1.3  2004/04/02 05:43:07  ankry
- missing pl

Revision 1.2  2004/04/01 21:31:01  areq
- adaptarized

Revision 1.1  2004/04/01 21:27:49  areq
- apache-mod_jk2 2.0.4 for apache 2.x - based on apache-mod_jk
